import { EventEmitter, AfterViewInit, OnDestroy, ElementRef } from '@angular/core';
import { FVAbstractControl } from '../../shared/abstract-control.component';
import { ValidationService } from '../../../services/validation.service';
import { DGSNotificationService } from '@dotgov/core';
import { ProcessService } from '../../../services/process.service';
import { Dock, DockItem } from '../../../models';
export declare class FVNavigatorComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private notification;
    private validation;
    private elRef;
    loading: boolean;
    showModal: boolean;
    isGrouped: boolean;
    private __task;
    private _dock;
    private _items;
    private _dockType;
    dock: Dock[];
    firstLevel: boolean;
    private _isGrid;
    isGrid: boolean;
    private _gridItem;
    gridItem: any;
    type: string;
    onDone: EventEmitter<any>;
    onMenuItemClicked: EventEmitter<any>;
    onNavigation: EventEmitter<DockItem>;
    onNavigationError: EventEmitter<any>;
    constructor(process: ProcessService, notification: DGSNotificationService, validation: ValidationService, elRef: ElementRef);
    ngAfterViewInit(): void;
    onClick(item: DockItem, forced?: boolean): Promise<any>;
    getClickListener(item: DockItem): {
        click?: string;
    };
    btnClass(btn: any, isMultiple?: boolean): string;
    isClickable(selector: any): boolean;
    debugText(): string;
    hideTooltip(tooltip: any): void;
    readonly debugData: {
        isGrid: boolean;
        type: string;
        pristine: boolean;
        isFirstLevel: boolean;
    };
    readonly pristine: boolean;
    readonly pristineError: string;
    readonly containerClass: string;
    readonly items: any;
    readonly dockType: string;
    private cancel();
    private save();
    private saveClose();
    private closeUndefined(isNone?, action?);
    private doAction(action, userData?);
    private evalOnSave(task, script);
    private _finally(promise, func);
    ngOnDestroy(): void;
}
